Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.message
Interface MultiformatMessage

All Superinterfaces:
  Message, Serializable

All Known Implementing Classes:
  MapMessage, StructuredDataMessage

    public interface MultiformatMessage

extends Message

A Message that can render itself in more than one way. The format string is used by the Message implementation as extra information that it may use to help it to determine how to format itself. For example, MapMessage accepts a format of "XML" to tell it to render the Map as XML instead of its default format of {key1="value1" key2="value2"}.

Method Summary
`String[]` | `getFormats()` Returns the supported formats.
`String` | `getFormattedMessage(String[] formats)` Returns the Message formatted as a String.

Methods inherited from interface org.apache.logging.log4j.message.Message
`getFormat, getFormattedMessage, getParameters, getThrowable`

Method Detail

### getFormattedMessage

    String getFormattedMessage(String[] formats)

  Returns the Message formatted as a String.

  Parameters:
    `formats` - An array of Strings that provide extra information about how to format the message. Each MultiformatMessage implementation is free to use the provided formats however they choose.
  Returns:
    The message String.

### getFormats

    String[] getFormats()

  Returns the supported formats.

  Returns:
    The supported formats.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.